/*------------------------------------------------------------------------------
 src/bin/djvlut/widget.h

 Copyright (c) 2004-2006 Darby Johnston.
 All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJVLUT_WIDGET_H
#define DJVLUT_WIDGET_H
#include "base.h"
#include <djImage.h>
#include <djWidget.h>

namespace djvlut {

class VlutWidget : public Widget {
public:

  VlutWidget();
  
  // Set.
  //
  void set(const Image *);
  
  // Layout.
  //
  const Vec2i sizeHint() const;
  
  // Widget.
  //
  void draw();
  
private:
  const Image * _image;
};

}

#endif
